SDL_uikitwindow.h File Reference
`#include "../SDL_sysvideo.h"`
`#import "SDL_uikitvideo.h"`
`#import "SDL_uikitview.h"`
`#import "SDL_uikitviewcontroller.h"`
Include dependency graph for SDL_uikitwindow.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_WindowData

## Functions

int | UIKit_CreateWindow (_THIS, SDL_Window *window)
void | UIKit_SetWindowTitle (_THIS, SDL_Window *window)
void | UIKit_ShowWindow (_THIS, SDL_Window *window)
void | UIKit_HideWindow (_THIS, SDL_Window *window)
void | UIKit_RaiseWindow (_THIS, SDL_Window *window)
void | UIKit_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | UIKit_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
void | UIKit_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | UIKit_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
NSUInteger | UIKit_GetSupportedOrientations (SDL_Window *window)

## Function Documentation

## UIKit_CreateWindow()

int UIKit_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## UIKit_DestroyWindow()

void UIKit_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## UIKit_GetSupportedOrientations()

NSUInteger UIKit_GetSupportedOrientations | ( | SDL_Window * | window | ) |

## UIKit_GetWindowWMInfo()

SDL_bool UIKit_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## UIKit_HideWindow()

void UIKit_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## UIKit_RaiseWindow()

void UIKit_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## UIKit_SetWindowBordered()

void UIKit_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

## UIKit_SetWindowFullscreen()

void UIKit_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

## UIKit_SetWindowTitle()

void UIKit_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## UIKit_ShowWindow()

void UIKit_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |